Bug 47917 - [Chromium] Populate caps lock state in WebInputEventFactory
Summary: [Chromium] Populate caps lock state in WebInputEventFactory
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Stuart Morgan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-19 12:11 PDT by Stuart Morgan
Modified: 2010-10-27 14:38 PDT (History)
2 users (show)

See Also:


Attachments
fix (1.27 KB, patch)
2010-10-26 17:12 PDT, Stuart Morgan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart Morgan 2010-10-19 12:11:12 PDT
WebInputEvent recently acquired a CapsLockOn modifier flag, but it wasn't added to the NSEvent->WebInputEvent conversion path.
Comment 1 Stuart Morgan 2010-10-26 17:12:37 PDT
Created attachment 71968 [details]
fix
Comment 2 David Levin 2010-10-26 22:11:35 PDT
(In reply to comment #0)
> WebInputEvent recently acquired a CapsLockOn modifier flag, but it wasn't added to the NSEvent->WebInputEvent conversion path.

It looks like this was added in http://trac.webkit.org/changeset/68047

That change also added NumLockOn but that doesn't seem to be part of this change.

Why?
Comment 3 Stuart Morgan 2010-10-27 09:52:25 PDT
Because there's no concept of a num lock flag in NSEvent.
Comment 4 WebKit Commit Bot 2010-10-27 14:38:51 PDT
Comment on attachment 71968 [details]
fix

Clearing flags on attachment: 71968

Committed r70713: <http://trac.webkit.org/changeset/70713>
Comment 5 WebKit Commit Bot 2010-10-27 14:38:56 PDT
All reviewed patches have been landed.  Closing bug.